Core - Bug # 57575

Task # 57578 (Accepted): TceformsUpdateWizard improvements (Migrate all file relations from tt_content.image and pages.media)

Status: Resolved Priority: Must have
Author: Markus Klein Category: Install Tool
Created: 2014-04-02 Assigned To:

Updated: 2014-07-07 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: TceformsUpdateWizard reports success although some migrations failed

Description

TceformsUpdateWizard should not report success if a migration fails due to a missing source file.

Change that to an error output. Also tell the user about the log file (see #57574)

Related issues:

related to Core - Bug # 57574: TceformsUpdateWizard does not tell the user ab... Accepted

2014-04-02

Associated revisions

Revision f5b50ff2 - 2014-07-07 09:03 - Steffen Miiller

[BUGFIX] Report migration errors in TceformsUpdateWizard

TceformsUpdateWizard should report errors if a migration
failed due to a missing source file.

Resolves: #57575

Releases: 6.3, 6.2

Change-Id: 168af9a5155f7d6190a22cc4986ef4a467b747737
Reviewed-on: https://review.typo3.org/29100

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Alexander Opitz
Tested-by: Alexander Opitz
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Revision 23e6073a - 2014-07-07 09:03 - Steffen Miiller

[BUGFIX] Report migration errors in TceformsUpdateWizard

TceformsUpdateWizard should report errors if a migration
failed due to a missing source file.

Resolves: #57575

Releases: 6.3, 6.2
Change-Id: 168af9a5155f7d6190a22cc4986ef4a467b747737

2015-08-04
https://review.typo3.org/29100

Reviewed-on: https://review.typo3.org/31428

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2014-04-02 19:27 - Markus Klein
- Parent task set to #57578

#2 - 2014-04-02 22:42 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29100

#3 - 2014-07-07 00:55 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/29100

#4 - 2014-07-07 09:03 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31428

#5 - 2014-07-07 09:30 - Steffen Miiller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:23e6073adb7e14b7a6f7c9b448356de5bchb301fa.
